#pragma once

#include <mongoose.h>
#include "Routerin.H"
#include "Sicobject.H"
#include <string>
#include <map>

class Routerin;

class DynamicObjects
{
	public:
		std::string render_object_list();
		std::string cleanpath(const char * const);
		DynamicObjects(Routerin * merouterin) : m_merouterin(merouterin){ };
		~DynamicObjects() {};

	private:
		std::string _cleanpath (const char * const path);
		std::map<unsigned int, Sicobject *> m_themap;
		const Routerin * m_merouterin;

};
